Animation in EJ2 JavaScript Dialog

4 Sep 20265 minutes to read

The Dialog can be animated during the open and close actions. The user can also customize the delay (number, default 0), duration (number, default 400), and effect of the animation by using the animationSettings property.

delay The Dialog animation will start after the specified delay (in milliseconds).
duration Specifies the time (in milliseconds) for one animation cycle to complete.
effect Specifies the animation effect for the Dialog open and close actions.

List of supported animation effects:
`Fade` | `FadeZoom` | `FlipLeftDown` | `FlipLeftUp` | `FlipRightDown` | `FlipRightUp` | `FlipXDown` | `FlipXUp` | `FlipYLeft` | `FlipYRight` | `SlideBottom` | `SlideLeft` | `SlideRight` | `SlideTop` | `Zoom` | `None`

If the user sets the `Fade` effect, the Dialog internally applies `FadeIn` on open and `FadeOut` on close. Likewise, the `Zoom` effect maps to `ZoomIn` on open and `ZoomOut` on close.

In the following sample, the Zoom effect is enabled. So, the Dialog will open with ZoomIn
and close with ZoomOut effects.

ej.base.enableRipple(true);

// Initialize Dialog component
var dialog = new ej.popups.Dialog({
    //Animation options
    animationSettings: {
        effect: 'Zoom',
        duration: 400,
        delay: 0
    },
    // Enables the header
    header: 'Dialog',
    // Dialog content
    content: 'Dialog enabled with Zoom effect',
    // Enables the footer buttons
    buttons: [
        {
            // Click the footer buttons to hide the Dialog
            'click': () => { dialog.hide(); },
            // Accessing button component properties by buttonModel property
            buttonModel: {
                content: 'OK',
                isPrimary: true
            }
        },
        {
            'click': () => { dialog.hide(); },
            buttonModel: {
                content: 'Cancel'
            }
        }
    ],
    // The Dialog shows within the target element
    target: document.getElementById("container"),
    // Dialog width
    width: '250px'
});
// Render initialized Dialog
dialog.appendTo('#dialog');

// Sample level code to handle the button click action
document.getElementById('targetButton').onclick = function() {
    // Call the show method to open the Dialog
    dialog.show();
}
<!DOCTYPE html><html lang="en"><head>
    <title>Essential JS 2 Dialog Animation</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta name="description" content="TypeScript UI Components">
    <meta name="author" content="Syncfusion">
    <link href="styles.css" rel="stylesheet">
    <link href="https://maxcdn.bootstrapcdn.com/bootstrap/3.3.7/css/bootstrap.min.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-base/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-buttons/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-inputs/styles/material.css" rel="stylesheet">
    <link href="https://cdn.syncfusion.com/ej2/34.2.2/ej2-popups/styles/material.css" rel="stylesheet">
    
    
<script src="https://cdn.syncfusion.com/ej2/34.2.2/dist/ej2.min.js" type="text/javascript"></script>
</head>

<body>
    
    <div id="container">
        <button class="e-control e-btn" id="targetButton" role="button" e-ripple="true" style="position: absolute;">Open Dialog</button>
        <div id="dialog"></div>
    </div>

<script>
var ele = document.getElementById('container');
if(ele) {
  ele.style.visibility = "visible";
}   
      </script>
<script src="index.js" type="text/javascript"></script>
</body></html>

Animation in Angular Dialog

31 Aug 20264 minutes to read

The Dialog can be animated during open and close actions. Customize animation using the delay, duration, and effect properties.

delay The Dialog animation will start with the mentioned delay (in milliseconds).
duration Specifies the animation duration in milliseconds to complete one animation cycle.
effect Specifies the animation effects of Dialog open and close actions effect.

List of supported animation effects:
'Fade' | 'FadeZoom' | 'FlipLeftDown' | 'FlipLeftUp' | 'FlipRightDown' | 'FlipRightUp' | 'FlipXDown' | 'FlipXUp' | 'FlipYLeft' | 'FlipYRight' | 'SlideBottom' | 'SlideLeft' | 'SlideRight' | 'SlideTop' | 'Zoom'| 'None'

If the user sets ‘Fade’ effect, then the Dialog will open with ‘FadeIn’ effect and close with ‘FadeOut’ effect

The following sample demonstrates the Zoom effect. The dialog opens with ZoomIn and closes with ZoomOut.

import { NgModule } from '@angular/core'
import { BrowserModule } from '@angular/platform-browser'
import { DialogModule } from '@syncfusion/ej2-angular-popups'




import { Component, ViewChild, OnInit, ElementRef } from '@angular/core';
import { DialogComponent } from '@syncfusion/ej2-angular-popups';
import { EmitType } from '@syncfusion/ej2-base';

@Component({
imports: [
        
		DialogModule
    ],


standalone: true,
    selector: 'app-root',
    template: `
    <button class="e-control e-btn" style="position: absolute;" id="targetButton" (click)="onOpenDialog($event)">Open Dialog</button>
    <div #container class='root-container'></div>
      <ejs-dialog id='dialog' #ejDialog header='Dialog' content='Dialog enabled with Zoom effect' [target]='targetElement'
      [animationSettings]='animationSettings' width='250px' [buttons]='buttons'>
      </ejs-dialog>
        `
})

export class AppComponent implements OnInit {
    @ViewChild('ejDialog') ejDialog: DialogComponent | any;
    // Create element reference for dialog target element.
    @ViewChild('container', { read: ElementRef }) container: ElementRef | any;
    // The Dialog shows within the target element.
    public targetElement?: HTMLElement;

    //To get all element of the dialog component after component get initialized.
    ngOnInit() {
      this.initilaizeTarget();
    }

    // Initialize the Dialog component target element.
    public initilaizeTarget: EmitType<object> = () => {
      this.targetElement = this.container.nativeElement.parentElement;
    }

    // Hide the Dialog when click the footer button.
    public hideDialog: EmitType<object> = () => {
        this.ejDialog.hide();
    }
    // Sample level code to handle the button click action
    public onOpenDialog = (event:any): void => {
        // Call the show method to open the Dialog
        this.ejDialog.show();
    }
    //Animation options
    public animationSettings: Object = { effect: 'Zoom', duration: 400, delay: 0 };
    // Enables the footer buttons
    public buttons: Object = [
        {
            'click': this.hideDialog.bind(this),buttonModel:{ content:'OK', isPrimary: true }
        },
        {
            'click': this.hideDialog.bind(this),buttonModel:{ content:'Cancel' }
        }
    ];
}
import { bootstrapApplication } from '@angular/platform-browser';
import { AppComponent } from './app.component';
import 'zone.js';
bootstrapApplication(AppComponent).catch((err) => console.error(err));

Animation in React Dialog

4 Sep 202612 minutes to read

The React Dialog can be animated during the open and close actions. Animation properties such as delay, duration, and effect can be customized using the animationSettings property.

A single effect value governs both the open and close transitions; you cannot set separate effects for open and close. Each effect maps to an In variant on open and an Out variant on close (for example, FadeFadeIn on open, FadeOut on close).

Animation properties

Property Default value Description
delay 0 The delay (in milliseconds) before the animation begins.
duration 400 The duration (in milliseconds) of one animation cycle.
effect ‘Fade’ Specifies the animation effect for the React Dialog’s open and close actions.

Supported effects

The following effects are supported by the effect property:

Fade FadeZoom FlipLeftDown FlipLeftUp FlipRightDown FlipRightUp FlipXDown FlipXUp FlipYLeft FlipYRight SlideBottom SlideLeft SlideRight SlideTop Zoom None

Setting effect to ‘None’ disables the animation. For example, if the user sets ‘Fade’ effect, then the React Dialog will open with ‘FadeIn’ effect and close with ‘FadeOut’ effect.

Example

In the following sample, the Zoom effect is enabled. The Dialog will open with ZoomIn and close with ZoomOut effects.

[Class-component]

import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";
class App extends React.Component {
    dialogInstance;
    settings = { effect: 'Zoom', duration: 400, delay: 0 };
    buttons = [{
            buttonModel: {
                content: 'OK',
                cssClass: 'e-flat',
                isPrimary: true,
            },
            'click': () => {
                this.dialogInstance.hide();
            }
        },
        {
            buttonModel: {
                content: 'Cancel',
                cssClass: 'e-flat'
            },
            'click': () => {
                this.dialogInstance.hide();
            }
        }];
    handleClick() {
        this.dialogInstance.show();
    }
    render() {
        return (<div className="App" id='dialog-target'>
        <button className='e-control e-btn' id='targetButton1' role='button' onClick={this.handleClick = this.handleClick.bind(this)}>Open</button>
        <DialogComponent width='250px' animationSettings={this.settings} target='#dialog-target' header='Dialog' showCloseIcon={true} buttons={this.buttons} ref={dialog => this.dialogInstance = dialog}>
        Dialog enabled with Zoom effect</DialogComponent>
    </div>);
    }
}
export default App;
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";

class App extends React.Component {
  public dialogInstance: DialogComponent;

  public settings: any = { effect: 'Zoom', duration: 400, delay: 0 };

  public buttons: any = [{
    buttonModel: {
        content: 'OK',
        cssClass: 'e-flat',
        isPrimary: true,
    },
    'click': () => {
        this.dialogInstance.hide();
    }
  },
  {
    buttonModel: {
        content: 'Cancel',
        cssClass: 'e-flat'
    },
    'click': () => {
        this.dialogInstance.hide();
    }
  }];

  public handleClick() {
    this.dialogInstance.show();
  }

  public render() {
   return (
    <div className="App" id='dialog-target'>
        <button className='e-control e-btn' id='targetButton1' role='button' onClick={this.handleClick = this.handleClick.bind(this)}>Open</button>
        <DialogComponent width='250px' animationSettings={this.settings} target='#dialog-target' header='Dialog' showCloseIcon={true}  buttons={this.buttons} ref={dialog => this.dialogInstance = dialog!}>
        Dialog enabled with Zoom effect</DialogComponent>
    </div>);
  }
}
export default App;

[Functional-component]

import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";
function App() {
    let dialogInstance;
    const settings = { effect: 'Zoom', duration: 400, delay: 0 };
    let buttons = [{
            buttonModel: {
                content: 'OK',
                cssClass: 'e-flat',
                isPrimary: true,
            },
            'click': () => {
                dialogInstance.hide();
            }
        },
        {
            buttonModel: {
                content: 'Cancel',
                cssClass: 'e-flat'
            },
            'click': () => {
                dialogInstance.hide();
            }
        }];
    function handleClick() {
        dialogInstance.show();
    }
    return (<div className="App" id='dialog-target'>
            <button className='e-control e-btn' id='targetButton1' role='button' onClick={handleClick.bind(this)}>Open</button>
            <DialogComponent width='250px' animationSettings={settings} target='#dialog-target' header='Dialog' showCloseIcon={true} buttons={buttons} ref={dialog => dialogInstance = dialog}>
            Dialog enabled with Zoom effect</DialogComponent>
        </div>);
}
export default App;
import { DialogComponent } from '@syncfusion/ej2-react-popups';
import * as React from "react";

function App(){
    let dialogInstance: DialogComponent;
    const settings: any = { effect: 'Zoom', duration: 400, delay: 0 };
    let buttons: any = [{
        buttonModel: {
            content: 'OK',
            cssClass: 'e-flat',
            isPrimary: true,
        },
        'click': () => {
            dialogInstance.hide();
        }
    },
    {
        buttonModel: {
            content: 'Cancel',
            cssClass: 'e-flat'
        },
        'click': () => {
            dialogInstance.hide();
        }
    }];

    function handleClick() {
        dialogInstance.show();
    }

    return (
        <div className="App" id='dialog-target'>
            <button className='e-control e-btn' id='targetButton1' role='button' onClick={handleClick.bind(this)}>Open</button>
            <DialogComponent width='250px' animationSettings={settings} target='#dialog-target' header='Dialog' showCloseIcon={true}  buttons={buttons} ref={dialog => dialogInstance = dialog!}>
            Dialog enabled with Zoom effect</DialogComponent>
        </div>
    );
}
export default App;

See Also

Animation in Vue Dialog

21 Aug 202613 minutes to read

The Dialog can be animated during the open and close actions. Also, user can customize animation’s delay, duration and effect.

delay The Dialog animation will start with the mentioned delay
duration Specifies the animation duration to complete with one animation cycle
effect Specifies the animation effects of Dialog open and close actions effect.

List of supported animation effects:
'Fade' | 'FadeZoom' | 'FlipLeftDown' | 'FlipLeftUp' | 'FlipRightDown' | 'FlipRightUp' | 'FlipXDown' | 'FlipXUp' | 'FlipYLeft' | 'FlipYRight' | 'SlideBottom' | 'SlideLeft' | 'SlideRight' | 'SlideTop' | 'Zoom'| 'None'

If the user sets ‘Fade’ effect, then the Dialog will open with ‘FadeIn’ effect and close with ‘FadeOut’ effect

In the below sample, Zoom effect is enabled. So, The Dialog will open with ZoomIn
and close with ZoomOut effects.

<template>
    <div>
        <div id="target" class="control-section">
            <div id='customization'>
                <div class='animate'>
                    <ejs-button v-on:click='buttonClick' id='Zoom'>Zoom</ejs-button>
                </div>
                <div class='animate'>
                    <ejs-button v-on:click='buttonClick' id='FlipXDown'>FlipX Down</ejs-button>
                </div>
                <div class='animate'>
                    <ejs-button v-on:click='buttonClick' id='FlipXUp'>FlipX Up</ejs-button>
                </div>
                <div class='animate'>
                    <ejs-button v-on:click='buttonClick' id='FlipYLeft'>FlipY Left</ejs-button>
                </div>
                <div class='animate'>
                    <ejs-button v-on:click='buttonClick' id='FlipYRight'>FlipY Right</ejs-button>
                </div>
            </div>
            <ejs-dialog id='dialog' header='Animation Dialog'
                content='The dialog is configured with animation effect. It is opened or closed with "Zoom In or Out" animation.'
                showCloseIcon='true' :isModal='isModal' :animationSettings='animationSettings' width='285px' ref='dialogObj'
                target='#target' :buttons='dlgButton'>
            </ejs-dialog>
        </div>
    </div>
</template>
<script setup>

import { DialogComponent as EjsDialog } from '@syncfusion/ej2-vue-popups';
import { ButtonComponent as EjsButton } from '@syncfusion/ej2-vue-buttons';
import { ref } from 'vue';

const dialogObj = ref(null);
const dlgButton = [{ 'click': () => { dialogObj.value.ej2Instances.hide(); }, buttonModel: { content: 'OK', isPrimary: true } }];
const isModal = true;
const animationSettings = { effect: 'Zoom' };

const buttonClick = (e) => {
    var effect = e.target.getAttribute('id');
    var txt = e.target.parentElement.innerText;
    txt = (txt === 'Zoom In/Out') ? 'Zoom In or Out' : txt;
    dialogObj.value.ej2Instances.content = 'The dialog is configured with animation effect. It is opened or closed with "' + txt + '" animation.';
    dialogObj.value.ej2Instances.animationSettings = { effect: effect, duration: 400 };
    setTimeout(() => {
        dialogObj.value.ej2Instances.show();
    }, 400);
}

</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";

#customization {
    display: table;
    margin: 0 auto;
}

#app {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

.control-section {
    height: 100%;
    min-height: 340px;
}

.animate {
    display: table-cell;
    padding-left: 20px;
}

#customization .e-btn.e-outline:hover,
#customization .e-css.e-btn.e-outline:hover,
#customization .e-btn.e-outline:hover:focus,
#customization .e-css.e-btn.e-outline:hover:focus,
#customization .e-btn.e-outline:focus,
#customization .e-css.e-btn.e-outline:focus {
    background-color: #ffffff;
    border-color: #0078d6;
    color: #0078d6;
    outline: none;
}
</style>
<template>
    <div>
        <div id="target" class="control-section">
            <div id='customization'>
                <div class='animate'>
                    <ejs-button v-on:click='buttonClick' id='Zoom'>Zoom</ejs-button>
                </div>
                <div class='animate'>
                    <ejs-button v-on:click='buttonClick' id='FlipXDown'>FlipX Down</ejs-button>
                </div>
                <div class='animate'>
                    <ejs-button v-on:click='buttonClick' id='FlipXUp'>FlipX Up</ejs-button>
                </div>
                <div class='animate'>
                    <ejs-button v-on:click='buttonClick' id='FlipYLeft'>FlipY Left</ejs-button>
                </div>
                <div class='animate'>
                    <ejs-button v-on:click='buttonClick' id='FlipYRight'>FlipY Right</ejs-button>
                </div>
            </div>
            <ejs-dialog id='dialog' header='Animation Dialog'
                content='The dialog is configured with animation effect. It is opened or closed with "Zoom In or Out" animation.'
                showCloseIcon='true' :isModal='isModal' :animationSettings='animationSettings' width='285px' ref='dialogObj'
                target='#target' :buttons='dlgButton'>
            </ejs-dialog>
        </div>
    </div>
</template>
<script>

import { DialogComponent } from '@syncfusion/ej2-vue-popups';
import { ButtonComponent } from '@syncfusion/ej2-vue-buttons';

export default {
    name: "App",
    components: {
        "ejs-button": ButtonComponent,
        "ejs-dialog": DialogComponent
    },
    data: function () {
        return {
            dlgButton: [{ 'click': () => { this.$refs.dialogObj.ej2Instances.hide(); }, buttonModel: { content: 'OK', isPrimary: true } }],
            isModal: true,
            animationSettings: { effect: 'Zoom' }
        }
    },
    methods: {
        buttonClick: function (e) {
            var effect = e.target.getAttribute('id');
            var txt = e.target.parentElement.innerText;
            txt = (txt === 'Zoom In/Out') ? 'Zoom In or Out' : txt;
            this.$refs.dialogObj.ej2Instances.content = 'The dialog is configured with animation effect. It is opened or closed with "' + txt + '" animation.';
            this.$refs.dialogObj.ej2Instances.animationSettings = { effect: effect, duration: 400 };
            setTimeout(() => {
                this.$refs.dialogObj.ej2Instances.show();
            }, 400);
        }
    }
}
</script>
<style>
@import "../node_modules/@syncfusion/ej2-vue-popups/styles/material.css";

#customization {
    display: table;
    margin: 0 auto;
}

#app {
    color: #008cff;
    height: 40px;
    left: 45%;
    position: absolute;
    top: 45%;
    width: 30%;
}

.control-section {
    height: 100%;
    min-height: 340px;
}

.animate {
    display: table-cell;
    padding-left: 20px;
}

#customization .e-btn.e-outline:hover,
#customization .e-css.e-btn.e-outline:hover,
#customization .e-btn.e-outline:hover:focus,
#customization .e-css.e-btn.e-outline:hover:focus,
#customization .e-btn.e-outline:focus,
#customization .e-css.e-btn.e-outline:focus {
    background-color: #ffffff;
    border-color: #0078d6;
    color: #0078d6;
    outline: none;
}
</style>